Subject: bug#72538: closed (Re: [PATCH] gnu: xmonad: Re-add xmonad.desktop file.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Aug 2024 09:32:01 +0000

Your bug report

#72538: [PATCH] gnu: xmonad: Re-add xmonad.desktop file.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72538: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72538
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: xmonad: Re-add xmonad.desktop file.
From: Lars-Dominik Braun <[email-masked]>
To: EuAndreh <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Aug 2024 11:30:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

merged as commit bc71034f789603349080c2f35570910c07d526ec. I also fixed
the typos I introduced.

>     This has happened before, and I was the one to send an equivalent patch
>     to address the issue, 307d1b626be86ed21d48d44a131ce8490f370a17.

I’m sorry :( My usual flow is to run my update script (which only
touches updated packages) and then manually revert unwanted changes,
but I did not catch the xmonad phase. Is there any way we can upstream
the .desktop file?

>     If you're so inclined, I may help to improve the upgrade script to avoid
>     this in the future, but also feel free to decline or ignore.  And thanks
>     for the maintenance work on the Haskell packages :)

See attached script. The thing is that we *want* to remove unnecessary
phases during package upgrades. So I don’t know how to differentiate
between wanted and unwanted changes, except for manually checking them.

Lars

Subject: [PATCH] gnu: xmonad: Re-add xmonad.desktop file.
From: EuAndreh <[email-masked]>
To: [email-masked]
Cc: EuAndreh <[email-masked]>, [email-masked]
Date: Fri, 9 Aug 2024 07:09:54 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/wm.scm (xmonad)[arguments]: Add 'install-xsession phase
  that was removed in previous automated update.

Change-Id: Iac02b4c6e7a73c9b354c52b46eb39dca8156b1c3
---

Notes:
    The said automated update is 0bce74d458a343e61d054c4b25d6f67bd1086f3c,
    an upgrade to Stackage 20.26.
    
    After rebooting my computer and realizing what happened, I searched for
    discussions around this on the mailing lists, only to find a message
    from, wait a minute, me! haha
    
    This has happened before, and I was the one to send an equivalent patch
    to address the issue, 307d1b626be86ed21d48d44a131ce8490f370a17.
    
    I did take a quick look at this latest automated update, and all I could
    find were docstring typos spelling "httsp", and not much else.  Other
    packages with custom phases were either adjusted or kept as they were,
    so it does seem to have been a one-off in this update.
    
    Cc Lars-Dominik Braun:
    If you're so inclined, I may help to improve the upgrade script to avoid
    this in the future, but also feel free to decline or ignore.  And thanks
    for the maintenance work on the Haskell packages :)

 gnu/packages/wm.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index ad74fb5cf7..da1695ff62 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -872,6 +872,24 @@ (define-public xmonad
         (base32 "19qz9a23377nzc0qq8nca45s745mfncd4i2vwba14gi7ipipfcil"))))
     (build-system haskell-build-system)
     (properties '((upstream-name . "xmonad")))
+    (arguments
+      (list
+       #:phases
+       #~(modify-phases %standard-phases
+           (add-after 'install 'install-xsession
+             (lambda _
+               (let* ((xsessions (string-append #$output "/share/xsessions"))
+                      (entry     (string-append xsessions "/xmonad.desktop")))
+                 (mkdir-p xsessions)
+                 (call-with-output-file
+                  entry
+                  (lambda (port)
+                    (format port "~
+                      [Desktop Entry]~@
+                      Name=xmonad~@
+                      Comment=xmonad window manager~@
+                      Exec=~a/bin/xmonad~@
+                      Type=Application~%" #$output)))))))))
     (inputs (list ghc-x11 ghc-data-default-class ghc-setlocale))
     (native-inputs (list ghc-quickcheck ghc-quickcheck-classes))
     (home-page "http://xmonad.org")

base-commit: 9c6353c5568a56620af43c2213a9f1cbdc2b4adf
-- 
2.45.2